Name:          BareBonesBrowserLaunch
Version:       3.1
Release:       %mkrel 17
Group:         Development/Java
Summary:       Simple library to launch a browser window from Java
License:       Public Domain
URL:           http://www.centerkey.com/java/browser/
Source0:       http://www.centerkey.com/java/browser/myapp/real/bare-bones-browser-launch-%{version}.jar

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
Utility class to open a web page from a Swing application in the user's 
default browser. Supports: Mac OS X, GNU/Linux, Unix, Windows XP

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

find * -name *.class -delete
rm -rf doc/*

%build

%{javac} com/centerkey/utils/BareBonesBrowserLaunch.java
%{jar} -cf %{name}.jar com/centerkey/utils/BareBonesBrowserLaunch.class
%{javadoc} -encoding UTF-8 -d doc com/centerkey/utils/BareBonesBrowserLaunch.java -windowtitle "%{name} %{version}"

%install
%mvn_artifact com.centerkey.utils:%{name}:%{version} %{name}.jar
%mvn_file com.centerkey.utils:%{name} %{name}
%mvn_install -J doc

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 3.1-17.mga9
+ Revision: 1828146
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 3.1-16.mga8
+ Revision: 1489281
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 3.1-14.mga7
+ Revision: 1260037
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 neoclust <neoclust> 3.1-13.mga6
+ Revision: 980095
- Rebuild on fixed stack
- sync package BareBonesBrowserLaunch with fedora

* Sat Feb 06 2016 umeabot <umeabot> 3.1-10.mga6
+ Revision: 940173
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-9.mga5
+ Revision: 739668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-8.mga5
+ Revision: 677639
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.1-7.mga4
+ Revision: 542009
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 3.1-6.mga4
+ Revision: 496667
- imported package BareBonesBrowserLaunch

